MooseX::FollowPBP::Role::Attribute(3)

NAME
MooseX::FollowPBP::Role::Attribute

VERSION
version 0.05

SYNOPSIS
  Moose::Util::MetaRole::apply_metaclass_roles(
      for             => $p{for_class},
      class_metaroles => {
          attribute => ['MooseX::FollowPBP::Role::Attribute'],
      },
  );

DESCRIPTION
This role applies a method modifier to the "_process_options()" method, and tweaks the reader and writer parameters so that they follow the style recommended in Perl Best Practices.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2011 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)